
Counter - Employment  - Task #1319

MPMF042 Review Transfer work permits to the government sector request

06/17/2019 12:55 PM - Mahmoud Tarawneh

Status: Fixed Start date: 06/17/2019

Priority: Normal Due date: 06/18/2019

Assignee: Mahmoud Tarawneh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: Employment New Use Case Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID:  

Description

Dear Moath,

Kindly find the MPM SRS (Foreign labor) V3.2 All Pro to implement "MPMF042 Review Transfer work permits to the government

sector request" in PamEmploymentApp.

You can find the SRS in on SVN in EmploymentDocs Folder or in Files Tab of PamProject Group in Teams Application.

URL for PamEmploymentApp on SVN:

http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/PamEmploymentApp

for any further clarifications assign it to Mohamad Al Khaled.

History

#1 - 06/17/2019 01:26 PM - Mouath Saadah

- Status changed from Open to In Progress

#2 - 06/17/2019 04:02 PM - Mouath Saadah

- Status changed from In Progress to Feedback

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

- % Done changed from 0 to 90

I'm waiting for procedures for use case MPMF042

==> MPM_PKG.TRPERGOVN_CONFIRM , MPM_PKG.TRPERGOVN_REJECT

#3 - 06/17/2019 04:27 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Shatha Alasir

#4 - 07/22/2019 02:17 PM - Shatha Alasir

- Assignee changed from Shatha Alasir to Mohammad Joudeh

#5 - 07/24/2019 11:01 AM - Mohammad Joudeh

- Status changed from Feedback to Fixed

- Assignee changed from Mohammad Joudeh to Mahmoud Tarawneh
#6 - 07/25/2019 04:15 PM - Mouath Saadah

- File 3.png added

- Status changed from Fixed to Feedback

- % Done changed from 90 to 100

Dear Mahmoud Tarawneh

return message in procedure "TRPERGOVN_CONFIRM" is "integrity constraint"

**look at this attachment

Best Regards,

Moauath Saadah

#7 - 07/25/2019 04:24 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Shatha Alasir

#8 - 07/28/2019 12:36 PM - Shatha Alasir

- Assignee changed from Shatha Alasir to Mohammad Joudeh

please handle the returned error message

#9 - 07/31/2019 03:04 PM - Mohammad Joudeh

- Assignee changed from Mohammad Joudeh to Shatha Alasir

it's fixed now,

the problem has happened because the constraint check on the mpm_contract_details before insert new contract

#10 - 08/01/2019 12:03 PM - Shatha Alasir

- Status changed from Feedback to Fixed

- Assignee changed from Shatha Alasir to Mahmoud Tarawneh

kindly check if it is fixed now

#11 - 08/01/2019 12:19 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah

#12 - 08/01/2019 02:39 PM - Mouath Saadah

- File 3232323.png added

Dear Mahmoud Tarawneh

the msg still  "unique constraint"

**look at this attachment

Best Regards,

Moauath Saadah
#13 - 08/01/2019 02:39 PM - Mouath Saadah

- Status changed from Fixed to Feedback

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

#14 - 08/01/2019 02:55 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah

Kindly test it on Kuwait.

#15 - 08/05/2019 03:04 PM - Mouath Saadah

- Status changed from Feedback to Fixed

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

done in DB Kuwait

Files

3.png 62.9 KB 07/25/2019 Mouath Saadah

3232323.png 33.7 KB 08/01/2019 Mouath Saadah
